/**
 * $Id: BagFactory.java,v 1.1 2006/02/07 19:30:02 uwe Exp $
 */

package de.fhw.data.bag;


/**
 * The interface for a bag factory.
 * A new empty bag is constructed with empty()
 * 
 * @param <E> the Element type
 */
public
interface BagFactory<E> {
	/**
	 * @return a new empty bag, this result is usually taken as a prototype
	 */	
	Bag <E> empty();
}
