/**
 * 
 */
package de.fhw.data.util;

/**
 * Interface for checking persistency
 * 
 * @author uwe
 *
 */
public
interface Fingerprint {
	/**
	 * 
	 * @return a string that is (almost) unique and is generated from the set of object references
	 * contained in the container. If references in the complex object change, the string will
	 * change, so this method can be used for checking the persitency
	 * 
	 */
	String fingerprint();
}
