package de.fhw.data.tuple;

public class Triple<X, Y, Z> {
	public final X fst;
	public final Y snd;
	public final Z thd;
	
	public Triple(X fst, Y snd, Z thd) {
		this.fst = fst;
		this.snd = snd;
		this.thd = thd;
	}
	
	@Override
	public String toString() {
		return
		"(" + fst.toString() + ", " + snd.toString() + ", " + thd.toString() + ")";
	}
}